////////////////////////////////////////////////////////////////////////////////
//
// Description: Small cloth physics tutorial. Thats used to show basic physics
//              and instability due to the use of spring forces.
// Author     : Jens Schbel
// Web        : http://www.juliettesierra.de
// Company    : http://www.crytek.com
//
////////////////////////////////////////////////////////////////////////////////

#include <vector>

#include "../Objects/spring.h"
#include "../Objects/cloth.h"
#include "../Objects/animatedCloth.h"

#include "../TinyXML/tinyxml.h"

class PhyskoEngine
{
// FUNCTIONS / METHODS
public:
  PhyskoEngine(const char* filename);
  ~PhyskoEngine();
  void Loop(void);
protected:
private:
  void ProcessPhysics(void);
  void ProcessRenderer(void);
  void LoadData(const char* filename);
  void LoadObjects(TiXmlNode* objectsNode);

// VARIABLES
public:
protected:
private:
  std::vector<IObject*> m_objectsList;
};
